Bug 493423

Summary: KMS:M76 QM:Radeon Mobility HD 2600 Series rotate fails (radeon test day)
Product: [Fedora] Fedora Reporter: Michal Babej <mbabej>
Component: xorg-x11-drv-atiAssignee: Dave Airlie <airlied>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 11CC: fdc, fedora, smohan, vedran, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-24 15:04:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
dmesg
none
Xorg log after trying to set rotation none

Description Michal Babej 2009-04-01 13:29:30 EDT
Description of problem:
Trying to do any kind of rotate results in logout, and subsequent logins do not work (returns to gdm login without showing any sign of desktop). Same behaviour for singlehead as multihead

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11

How reproducible:
always

Steps to Reproduce:
1. launch gnome-display-settings
2. try to set Rotation to any option
  
Actual results:
logout & no rotation

xrandr output:

Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 8192 x 8192
VGA-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0*+   75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  
   0x0             0.0  
HDMI-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1280x800       59.9*+
Comment 1 Michal Babej 2009-04-01 13:32:40 EDT
Created attachment 337593 [details]
dmesg
Comment 2 Michal Babej 2009-04-01 13:34:00 EDT
Created attachment 337594 [details]
Xorg log after trying to set rotation
Comment 3 Martin Ebourne 2009-04-01 18:36:37 EDT
Same problem here with the same card.

ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series] [1002:9581]
Using radeon test day live usb.
http://www.smolts.org/client/show/pub_bf164e34-ffe2-4be8-a306-49f5674a649c  

xrandr:
Screen 0: minimum 320 x 200, current 1920 x 1200, maximum 8192 x 8192
VGA-0 disconnected (normal left inverted right x axis y axis)
HDMI-0 disconnected (normal left inverted right x axis y axis)
DVI-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1920x1200+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1920x1200      60.0*+

A hint to others, log in on the console and execute
  rm ~/.config/monitors.xml
to remove the bad configuration and allow login again. Really this rotation tool needs a failsafe test mode, breaking the login is bad.
Comment 4 Bug Zapper 2009-06-09 08:59:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2009-11-05 13:24:24 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Matěj Cepl 2010-02-26 07:16:07 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 7 Michal Babej 2010-03-03 11:43:35 EST
tested with livecd from http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/, rotation seems to work now.
Comment 8 Bug Zapper 2010-04-27 09:24:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Vedran Miletić 2010-05-24 15:04:33 EDT
Closing as worksforme per comment 7.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]